unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Psock, Spin, NMsmtp;

type
  TForm1 = class(TForm)
    GroupBox2: TGroupBox;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Label3: TLabel;
    ComboBox1: TComboBox;
    Label4: TLabel;
    Memomsg: TMemo;
    Button1: TButton;
    Label6: TLabel;
    Edit4: TEdit;
    Button2: TButton;
    NMSMTP1: TNMSMTP;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure NMSMTP1ConnectionFailed(Sender: TObject);
    procedure NMSMTP1Disconnect(Sender: TObject);
    procedure NMSMTP1InvalidHost(var Handled: Boolean);
    procedure NMSMTP1Connect(Sender: TObject);
    procedure NMSMTP1Success(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
If NMSMTP1.connected Then
Begin
   NMSMTP1.PostMessage.FromAddress := Edit2.Text; //indikiamo al server l'apparente indirizzo del mittente
   NMSMTP1.PostMessage.Subject := Edit3.Text; //specifikiamo "l'oggetto" della lettera
   NMSMTP1.PostMessage.ToAddress.Add(Edit1.Text); //l'indirizzo del ricevente  quello specifikato nella casella di testo Edit1
   NMSMTP1.PostMessage.Body.Assign(Memomsg.Lines); //il corpo del messaggio  contenuto nel Memo Memomsg
   NMSMTP1.SendMail; //infine inviamo tutti i dati specificati, e-mail kompresa :o)
End
Else
Messagedlg('Non sei connesso', mterror, [mbok], 0);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
If
Combobox1.Text = ''
Then
Messagedlg(' Devi specificare l`indirizzo del server ', mterror, [mbok], 0)
Else
Begin;
If NMSMTP1.Connected
then
NMSMTP1.Disconnect
else
Begin
NMSMTP1.Host := ComboBox1.text; //qui indikiamo kome server il server specifikato in ComboBox1
NMSMTP1.Connect; //con questo komando ci connettiamo al server precedentemente specificato
end
End;

end;

procedure TForm1.NMSMTP1ConnectionFailed(Sender: TObject);
begin
Messagedlg(' Connessione fallita. ', mterror, [mbok], 0);
Button2.caption := '[ DISCONNECT ]';
Button1.enabled := False;
end;

procedure TForm1.NMSMTP1Disconnect(Sender: TObject);
begin
Messagedlg(' Disconnesso ', mterror, [mbok], 0);
Button1.enabled := False;
Button2.caption := '[ CONNECT ]';
end;

procedure TForm1.NMSMTP1InvalidHost(var Handled: Boolean);
begin
Messagedlg(' Host non valido ', mterror, [mbok], 0);
end;

procedure TForm1.NMSMTP1Connect(Sender: TObject);
begin
Button2.caption := '[ DISCONNECT ]';
Button1.Enabled := True;
end;

procedure TForm1.NMSMTP1Success(Sender: TObject);
begin
Messagedlg('Messaggio inviato :o)', mtinformation, [mbok], 0);
end;

end.
